# search.awk

# This program takes over the functions of grep, sort, and show.awk by making
# use of the combined file cajindex.txt and case-mapping features of mawk 1.14.

# Usage: mawk -f search.awk <pattern>

BEGIN {
	# Set up to retrieve the blocks of text (separated by blank lines).
	RS = ""
	ORS = "\n\n"
	FS = "\n"

	pattern = tolower (ARGV[1])
	ARGV[1] = "cajindex.txt"
}

match (tolower ($0), pattern) {
	print
}
